{ pkgs, ... }:
{
  users.users = {
    alice = {
      isNormalUser = true;
      description = "Alice Foobar";
      password = "foobar";
      uid = 1000;
    };
  };

  home-manager.users.alice.home.stateVersion = "24.11";

  # Automatically login on tty1 as a normal user:
  services.getty.autologinUser = "alice";

  environment = {
    # For benchmarking sharefs:
    systemPackages = [ pkgs.fsmark ];
  };

  virtualisation = {
    # Hopefully reduces spurious test failures:
    memorySize = if pkgs.stdenv.hostPlatform.is32bit then 2046 else 8192;

    diskSize = 6 * 1024;

    qemu.options = [
      # Increase test performance:
      "-smp 16"
    ];
  };

  environment.hakurei = rec {
    enable = true;
    stateDir = "/var/lib/hakurei";
    sharefs.source = "${stateDir}/sdcard";
    users.alice = 0;

    extraHomeConfig = {
      home.stateVersion = "23.05";
    };
  };
}
